## org.hibernate.metamodel.source.binder
Interface JpaCallbackClass

    public interface JpaCallbackClass

Method Summary
`String` `getCallbackMethod(Class<?> callbackType)`
`String` `getName()`
`boolean` `isListener()`

Method Detail

### getCallbackMethod

    String getCallbackMethod(Class<?> callbackType)

  Parameters:
    `callbackType` - `PrePersist`, `PreRemove`, `PreUpdate`, `PostLoad`, `PostPersist`, `PostRemove`, or `PostUpdate`
  Returns:
    the name of the JPA callback method defined for the associated `entity` or `mapped superclass` and for the supplied callback annotation class.

### getName

    String getName()

  Returns:
    the name of the instantiated container where the JPA callbacks for the associated `entity` or `mapped superclass` are defined. This can be either the entity/mapped superclass itself or an `entity listener`.

### isListener

    boolean isListener()

  Returns:
    `true` if this callback class represents callbacks defined within an `entity listener`.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.